> This page is for version v2026-01-15.
> For other versions, use one of these documentation indexes:
> - v2026-04-01 (default): https://docs.givechariot.com/v2026-04-01/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# List Inbound Transfers

GET https://api.givechariot.com/v1/inbound_transfers

List inbound transfers for your account.

Reference: https://docs.givechariot.com/api/inbound-transfers/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.givechariot.com` (Production, default)
- `https://sandboxapi.givechariot.com` (Sandbox)

## Request

### Query parameters

- `limit` (integer, optional) — Limit the size of the list that is returned. The default (and maximum) is 100 objects.
- `pageToken` (string, optional) — The cursor to use for pagination. If not set, the first page of results will be returned.

## Response

### 200

The response for InboundTransfers.list

- `results` (list of InboundTransfer, optional)
- `nextPageToken` (string, optional) — A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

## Errors

### 400 Bad Request Error

The request is invalid or contains invalid parameters

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 401 Unauthorized Error

Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller.

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 403 Forbidden Error

Access denied

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 404 Not Found Error

Resource Not Found

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 500 Internal Server Error

Internal Server Error

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

## Types

### InboundTransfer

An inbound transfer represents a transfer of funds from an external bank account to a financial account.

- `id` (string, required) — The unique identifier for the inbound transfer
- `amount` (long, required) — The amount of the inbound transfer in minor currency units (cents). This amount must be positive.
- `created_at` (datetime, required) — The date and time the inbound transfer was created
- `description` (string, optional) — An arbitrary string attached to the object. Often useful for displaying to users.
- `status` (enum, optional) — The status of the inbound transfer. An Inbound Transfer is `pending` if it created and the funds haven't been received yet. The status changes to `completed` when the funds have been received and the balance of the financial account has been updated. The status changes to `canceled` if the transfer is canceled. The status changes to `failed` if the transfer fails.
  - Allowed values: `pending`, `completed`, `canceled`, `failed`
- `updated_at` (datetime, optional) — The date and time the inbound transfer was last updated

## Examples

**Response**

```json
{
  "results": [
    {
      "id": "inbound_transfer_01j8rs605a4gctmbm58d87mvsj",
      "amount": 10000,
      "created_at": "2020-01-31T23:00:00Z",
      "description": "InboundTransfer from my bank account",
      "status": "pending",
      "updated_at": "2020-01-31T23:00:00Z"
    }
  ],
  "nextPageToken": "string"
}
```